require "xml/xslt"

xsl = XML::XSLT.new

xsl.xml = "<test/>"

puts "  loaded from file"
xsl.xsl = "pass/test.xsl"
puts xsl.serve

puts "  loaded from memory (should fail)"
xsl.xsl = File.read "pass/test.xsl"
puts xsl.serve

puts "  imported from file loaded from file"
xsl.xsl = "test.xsl"
puts xsl.serve

puts "  imported from file loaded from memory"
xsl.xsl = File.read "test.xsl"
puts xsl.serve
